| IGLib 1.5 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events
Public Member Functions | List of all members
IG.Num.FieldCollection3d< TField, TElement > Class Template Reference

Collection of structured 3D fields of the same type. Fields are identified by their names. More...

Inheritance diagram for IG.Num.FieldCollection3d< TField, TElement >:
[legend]
Collaboration diagram for IG.Num.FieldCollection3d< TField, TElement >:
[legend]

## Public Member Functions
| FieldCollection3d ()
| Constructor. More...
override TField | CreateField (int numElements, string name, string description)
| Call to this method is invalid for the current type. Call the method with three dimensions instead. More...
virtual TField | CreateField (int dim1, int dim2, int dim3, string fieldName, string fieldDescription)
| Creates a new 3D structured field of specified dimensions and with specified name and description. More...
override void | AddField (int numElements, string fieldName, string fieldDescription)
| >Call to this method is invalid for the current type. Call the method with three dimensions instead. More...
void | AddField (int dim1, int dim2, int dim3, string fieldName, string fieldDescription)
| Creates a new field with specified dimensions and name and description, and adds it to the current collection. More...
Public Member Functions inherited from IG.Num.FieldCollection< TField, TElement >
| FieldCollection ()
| Constructor. More...
string[] | GetFieldNames ()
| Returns names of all the fields contained in the current field collection. More...
void | AddField (TField field, string name)
| Adds the specified to the collection under a specified name. More...
void | AddField (TField field)
| Adds the specified field to the urrent field collection. More...
void | RemoveField (string fieldName)
| Removed the field with the specified name from the current field collection. More...

## Additional Inherited Members
Public Attributes inherited from IG.Num.FieldCollection< TField, TElement >
const string | DefaultFieldNameConst = "default"
Protected Member Functions inherited from IG.Num.FieldCollection< TField, TElement >
void | NullifyActiveField ()
| Sets the variable holding currently active field to null. More...
Properties inherited from IG.Num.FieldCollection< TField, TElement >
string | DefauletFieldName`[get]`
| Gets name that is used for automatically created fields. More...
SortedList< string, TField > | Fields`[get]`
string | ActiveFieldName`[get, set]`
| Gets or sets name of the active field. More...
TField | ActiveField`[get]`
| Gets the currently active field. More...
TField | this[string fieldName]`[get]`
| Gets the field that has a specified name. More...
TField | this[int index]`[get]`
| Get the field that corresponds to the specified index. More...
int | Count`[get]`
| Gets the number of fields contained in the collection. More...

## Detailed Description

Collection of structured 3D fields of the same type. Fields are identified by their names.

In principle, contained fields can be of different dimensions.

Template Parameters

  TField | Type of fields contained in the collection. Must be a 3D structured field (StructuredField3d<TElement>).
  TElement | Type of elements of the fields that can be contained in the collection.

Completely generic definition was introduced in 2009. Before that, several types were used for specific field collections.

$A Igor Apr09;

Type Constraints

  TField | : | StructuredField3d<TElement> |
  TField | : | new() |

## Constructor & Destructor Documentation

IG.Num.FieldCollection3d< TField, TElement >.FieldCollection3d | ( |  | ) |
| inline

Constructor.

## Member Function Documentation

override TField IG.Num.FieldCollection3d< TField, TElement >.CreateField | ( | int | numElements,
|  | string | name,
|  | string | description
| ) |  |
| inline virtual

Call to this method is invalid for the current type. Call the method with three dimensions instead.

Reimplemented from IG.Num.FieldCollection< TField, TElement >.

virtual TField IG.Num.FieldCollection3d< TField, TElement >.CreateField | ( | int | dim1,
|  | int | dim2,
|  | int | dim3,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  |
| inline virtual

Creates a new 3D structured field of specified dimensions and with specified name and description.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).
  dim3 | Third dimension of the field (number of grid nodes in the third direction).
  fieldName | Name of the created field (can be null).
  fieldDescription | Description of the created field (can be null).

override void IG.Num.FieldCollection3d< TField, TElement >.AddField | ( | int | numElements,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  |
| inline virtual

>Call to this method is invalid for the current type. Call the method with three dimensions instead.

Reimplemented from IG.Num.FieldCollection< TField, TElement >.

void IG.Num.FieldCollection3d< TField, TElement >.AddField | ( | int | dim1,
|  | int | dim2,
|  | int | dim3,
|  | string | fieldName,
|  | string | fieldDescription
| ) |  |
| inline

Creates a new field with specified dimensions and name and description, and adds it to the current collection.

Parameters

  dim1 | First dimension of the field (number of grid nodes in the first direction).
  dim2 | Second dimension of the field (number of grid nodes in the second direction).
  dim3 | Third dimension of the field (number of grid nodes in the third direction).
  fieldName | Name of the created field (normally it shouldn't be null though this is legal).
  fieldDescription | Description of the created field (can be null).

The documentation for this class was generated from the following file:

- igbase/numeric/geometry/meshing/FieldCollectionGeneric.cs